%define realname cyrus
%define modname cyrus
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A16_%{modname}.ini

Summary:	An extension which eases the manipulation of Cyrus IMAP servers for PHP
Name:		php-%{modname}
Version:	1.0
Release:	%mkrel 31
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/cyrus
Source0:	%{modname}-%{version}.tar.bz2
Source1:	%{modname}.ini
Patch0:		cyrus-1.0-lib64.diff
Patch1:		cyrus-1.0-php5.4.patch
Requires:	php-cli >= 3:5.2.0
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	cyrus-imapd-devel
BuildRequires:	libsasl-devel

%description
An extension which eases the manipulation of Cyrus IMAP servers.

%prep

%setup -q -n %{modname}-%{version}
%patch0 -p0
%patch1 -p0

cp %{SOURCE1} %{inifile}

%build
%serverbuild
phpize
export CYRUS_SHARED_LIBADD="-L%{_libdir} -lsasl2 -lcyrus -lcyrus_min"
%configure2_5x --with-libdir=%{_lib} \
    --enable-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

%files 
%doc CREDITS README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog

* Wed Jan 30 2013 oden <oden> 1.0-31.mga3
+ Revision: 393253
- rebuilt for php-5.4.11

* Sun Jan 13 2013 fwang <fwang> 1.0-30.mga3
+ Revision: 376459
- fix build with latest php 5.4

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1.0-29.mga2
+ Revision: 223874
- httpd restart is handled by filetriggers now

* Tue Dec 20 2011 spuhler <spuhler> 1.0-28.mga2
+ Revision: 185110
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 1.0-27.mga1
+ Revision: 47795
- removed buildroot definition from .spec
- imported package php-cyrus

